# Contributing

When contributing to this repository, please first discuss the change you wish to make via issue with the owners and core contributors of this repository. Please note we have a [Code of Conduct](https://github.com/ZcashFoundation/zepio/blob/master/CODE_OF_CONDUCT.md) - please follow it in all your interactions with the project.

## Pull Request Process

1. Ensure any extraneous install or build dependencies are removed before doing a build.
2. Update the README.md with details of changes to the interface, this includes new environment
   variables, exposed ports, useful file locations and container parameters.
3. Increase the version numbers in any examples files and the README.md to the new version that this
   Pull Request would represent. The versioning scheme we use is [SemVer](http://semver.org/).
4. You may merge the Pull Request in once you have the sign-off of at least two other developers, or if you
   do not have permission to do that, you may request the second reviewer to merge it for you.

Learn more about this project's [development workflow](https://github.com/ZcashFoundation/zepio/blob/master/DEVELOPMENT_WORKFLOW.md).

## Code of Conduct

For information on this project's Code of Conduct details, please see [this file](https://github.com/ZcashFoundation/zepio/blob/master/CODE_OF_CONDUCT.md).